Bug 1468871 - [abrt] java-1.8.0-openjdk-headless: Java_org_eclipse_swt_internal_gtk_OS_Call(__complex __complex int0_t)(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-headless: Java_org_eclipse_swt_internal_gtk_OS_Call...
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: eclipse (Show other bugs)
7.3
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Alexander Kurtakov
qe-baseos-tools
abrt_hash:5e27a6b03da4a3c6fa78ed067ec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-09 04:21 EDT by Diamantis Karagkiaouris
Modified: 2017-12-08 01:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-08 01:01:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.05 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: cgroup (200 bytes, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: core_backtrace (127.15 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: dso_list (15.28 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: environ (1.41 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: machineid (135 bytes, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: maps (154.23 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: open_fds (36.91 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: var_log_messages (34.33 KB, text/plain)
2017-07-09 04:21 EDT, Diamantis Karagkiaouris
no flags Details
File: sosreport.tar.xz (9.33 MB, application/octet-stream)
2017-07-09 04:24 EDT, Diamantis Karagkiaouris
no flags Details

  None (edit)
Description Diamantis Karagkiaouris 2017-07-09 04:21:25 EDT
Description of problem:
I just tried to execute a kotlin project in eclipse oxygen ide

Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.131-3.b12.el7_3

Additional info:
reporter:       libreport-2.1.11.1
backtrace_rating: 4
cmdline:        /usr/bin/java -Dosgi.requiredJavaVersion=1.8 -Xms40m -Xmx512m -jar /home/kdiam/eclipse//plugins/org.eclipse.equinox.launcher_1.4.0.v20161219-1356.jar -data file:/home/kdiam/workspaces/java7/ -os linux -ws gtk -arch x86_64 -showsplash -launcher /home/kdiam/eclipse/eclipse -name Eclipse --launcher.library /home/kdiam/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.500.v20170531-1133/eclipse_1624.so -startup /home/kdiam/eclipse//plugins/org.eclipse.equinox.launcher_1.4.0.v20161219-1356.jar --launcher.appendVmargs -exitdata 2e8006 -vm /usr/bin/java -vmargs -Dosgi.requiredJavaVersion=1.8 -Xms40m -Xmx512m -jar /home/kdiam/eclipse//plugins/org.eclipse.equinox.launcher_1.4.0.v20161219-1356.jar
crash_function: Java_org_eclipse_swt_internal_gtk_OS_Call(__complex __complex int0_t)
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.el7_3.x86_64/jre/bin/java
global_pid:     6460
kernel:         3.10.0-514.26.2.el7.x86_64
pkg_fingerprint: 199E 2F91 FD43 1D51
pkg_vendor:     Red Hat, Inc.
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 59 (1 frames)
 #1 Java_org_eclipse_swt_internal_gtk_OS_Call(__complex __complex int0_t) at /home/kdiam/eclipse/configuration/org.eclipse.osgi/161/0/.cp/libswt-pi3-gtk-4757.so
Comment 1 Diamantis Karagkiaouris 2017-07-09 04:21:30 EDT
Created attachment 1295572 [details]
File: backtrace
Comment 2 Diamantis Karagkiaouris 2017-07-09 04:21:32 EDT
Created attachment 1295573 [details]
File: cgroup
Comment 3 Diamantis Karagkiaouris 2017-07-09 04:21:35 EDT
Created attachment 1295574 [details]
File: core_backtrace
Comment 4 Diamantis Karagkiaouris 2017-07-09 04:21:37 EDT
Created attachment 1295575 [details]
File: dso_list
Comment 5 Diamantis Karagkiaouris 2017-07-09 04:21:38 EDT
Created attachment 1295576 [details]
File: environ
Comment 6 Diamantis Karagkiaouris 2017-07-09 04:21:40 EDT
Created attachment 1295577 [details]
File: limits
Comment 7 Diamantis Karagkiaouris 2017-07-09 04:21:41 EDT
Created attachment 1295578 [details]
File: machineid
Comment 8 Diamantis Karagkiaouris 2017-07-09 04:21:45 EDT
Created attachment 1295579 [details]
File: maps
Comment 9 Diamantis Karagkiaouris 2017-07-09 04:21:48 EDT
Created attachment 1295580 [details]
File: open_fds
Comment 10 Diamantis Karagkiaouris 2017-07-09 04:21:50 EDT
Created attachment 1295581 [details]
File: proc_pid_status
Comment 11 Diamantis Karagkiaouris 2017-07-09 04:21:52 EDT
Created attachment 1295582 [details]
File: var_log_messages
Comment 12 Diamantis Karagkiaouris 2017-07-09 04:24:07 EDT
Created attachment 1295583 [details]
File: sosreport.tar.xz
Comment 14 Andrew John Hughes 2017-08-21 18:35:15 EDT
This is an Eclipse crash. Reassigning.
Comment 15 Alexander Kurtakov 2017-12-08 01:01:10 EST
This is custom eclipse not one coming from rhscl. Resolving. Please reopen if it's reproducible with rh-eclipse47 scl.

Note You need to log in before you can comment on or make changes to this bug.